-- -----------------------------------------------------------------------------
-- -----------------------------------------------------------------------------
--  Hammer of Justas
--
-- Copyright (C) 2010-2020
-- By Jonathan E. Wright
--
-- FILE: HoJ_RogueSpellInfos.lua
-- DESC: Spell tables for rogue class

local addonName, HoJ = ...

-- DEFAULT_CHAT_FRAME:AddMessage( "HoJ_RogueSpellInfos.lua" )

-- -------------------------------------------------------------
-- ROGUE
-- -------------------------------------------------------------
HoJ._rogueSpellInfos = {
    ["globalCooldown"] = {
        id = 61304,
        name = HoJ:GetSpellName( 61304 ),
        rank = HoJ:GetSpellRank( 61304 ),
        icon = HoJ:GetSpellIcon( 61304 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = false,
        showCheckbox = false,
        showCharges = false,
        text = nil,
        minLevel = 1,
        cooldownRemaining = 0,
        _powerGen = 0,
        range = HoJ.RANGE_NONE,
        _stealth = HoJ.STEALTH_ALLOWED
    },
    ["sinisterStrike"] = {
        id = 1752,
        name = HoJ:GetSpellName( 1752 ),
        rank = HoJ:GetSpellRank( 1752 ),
        icon = HoJ:GetSpellIcon( 1752 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 1,
        cooldownRemaining = 0,
        _powerGen = -45,
        _comboGen = 1,
        range = HoJ.RANGE_MELEE,
        _stealth = HoJ.STEALTH_ALLOWED
    },
    ["eviscerate"] = {
        id = 196819,
        name = HoJ:GetSpellName( 196819 ),
        rank = HoJ:GetSpellRank( 196819 ),
        icon = HoJ:GetSpellIcon( 196819 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 3,
        cooldownRemaining = 0,
        _powerGen = -35,
        _comboGen = -6,
        range = HoJ.RANGE_MELEE,
        _stealth = HoJ.STEALTH_DISALLOWED
    },
    ["stealth"] = {
        id = 1784,
        name = HoJ:GetSpellName( 1784 ),
        rank = HoJ:GetSpellRank( 1784 ),
        icon = HoJ:GetSpellIcon( 1784 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 5,
        cooldownRemaining = 0,
        _powerGen = -35,
        _comboGen = -6,
        range = HoJ.RANGE_SELF,
        _stealth = HoJ.STEALTH_ALLOWED
    },
    ["cheapShot"] = {
        id = 1833,
        name = HoJ:GetSpellName( 1833 ),
        rank = HoJ:GetSpellRank( 1833 ),
        icon = HoJ:GetSpellIcon( 1833 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 8,
        cooldownRemaining = 0,
        _powerGen = -40,
        _comboGen = 2,
        range = HoJ.RANGE_MELEE,
        _stealth = HoJ.STEALTH_REQUIRED
    },
    ["deadlyPoison"] = {
        id = 2823,
        name = HoJ:GetSpellName( 2823 ),
        rank = HoJ:GetSpellRank( 2823 ),
        icon = HoJ:GetSpellIcon( 2823 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_BUFF,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 10,
        cooldownRemaining = 0,
        _powerGen = 0,
        _comboGen = 0,
        range = HoJ.RANGE_SELF,
        _stealth = HoJ.STEALTH_ALLOWED
    },
    ["poisonedKnife"] = {
        id = 185565,
        name = HoJ:GetSpellName( 185565 ),
        rank = HoJ:GetSpellRank( 185565 ),
        icon = HoJ:GetSpellIcon( 185565 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 10,
        cooldownRemaining = 0,
        _powerGen = -40,
        _comboGen = 1,
        range = HoJ.RANGE_30_YARDS,
        _stealth = HoJ.STEALTH_DISALLOWED
    },
    ["garrote"] = {
        id = 703,
        name = HoJ:GetSpellName( 703 ),
        rank = HoJ:GetSpellRank( 703 ),
        icon = HoJ:GetSpellIcon( 703 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 12,
        cooldownRemaining = 0,
        _powerGen = -45,
        _comboGen = 1,
        range = HoJ.RANGE_MELEE,
        _stealth = HoJ.STEALTH_DISALLOWED
    },
    ["pickPocket"] = {
        id = 921,
        name = HoJ:GetSpellName( 921 ),
        rank = HoJ:GetSpellRank( 921 ),
        icon = HoJ:GetSpellIcon( 921 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 13,
        cooldownRemaining = 0,
        _powerGen = 0,
        _comboGen = 0,
        range = HoJ.RANGE_10_YARDS,
        _stealth = HoJ.STEALTH_REQUIRED
    },
    ["sap"] = {
        id = 6770,
        name = HoJ:GetSpellName( 6770 ),
        rank = HoJ:GetSpellRank( 6770 ),
        icon = HoJ:GetSpellIcon( 6770 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 13,
        cooldownRemaining = 0,
        _powerGen = -35,
        _comboGen = 0,
        range = HoJ.RANGE_10_YARDS,
        _stealth = HoJ.STEALTH_REQUIRED
    },
    ["crimsonVial"] = {
        id = 185311,
        name = HoJ:GetSpellName( 185311 ),
        rank = HoJ:GetSpellRank( 185311 ),
        icon = HoJ:GetSpellIcon( 185311 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 16,
        cooldownRemaining = 0,
        _powerGen = -30,
        _comboGen = 0,
        range = HoJ.RANGE_SELF,
        _stealth = HoJ.STEALTH_ALLOWED
    },
    ["kick"] = {
        id = 1766,
        name = HoJ:GetSpellName( 1766 ),
        rank = HoJ:GetSpellRank( 1766 ),
        icon = HoJ:GetSpellIcon( 1766 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 18,
        cooldownRemaining = 0,
        _powerGen = 0,
        _comboGen = 0,
        range = HoJ.RANGE_MELEE,
        _stealth = HoJ.STEALTH_DISALLOWED
    },
    ["rupture"] = {
        id = 1943,
        name = HoJ:GetSpellName( 1943 ),
        rank = HoJ:GetSpellRank( 1943 ),
        icon = HoJ:GetSpellIcon( 1943 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 20,
        cooldownRemaining = 0,
        _powerGen = -25,
        _comboGen = -5,
        range = HoJ.RANGE_MELEE,
        _stealth = HoJ.STEALTH_DISALLOWED
    },
    ["shadowstep"] = {
        id = 36554,
        name = HoJ:GetSpellName( 36554 ),
        rank = HoJ:GetSpellRank( 36554 ),
        icon = HoJ:GetSpellIcon( 36554 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 22,
        cooldownRemaining = 0,
        _powerGen = 0,
        _comboGen = 0,
        range = HoJ.RANGE_25_YARDS,
        _stealth = HoJ.STEALTH_DISALLOWED
    },
    ["blind"] = {
        id = 2094,
        name = HoJ:GetSpellName( 2094 ),
        rank = HoJ:GetSpellRank( 2094 ),
        icon = HoJ:GetSpellIcon( 2094 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 24,
        cooldownRemaining = 0,
        _powerGen = 0,
        _comboGen = 0,
        range = HoJ.RANGE_15_YARDS,
        _stealth = HoJ.STEALTH_ALLOWED
    },
    ["pickLock"] = {
        id = 1804,
        name = HoJ:GetSpellName( 1804 ),
        rank = HoJ:GetSpellRank( 1804 ),
        icon = HoJ:GetSpellIcon( 1804 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 26,
        cooldownRemaining = 0,
        _powerGen = 0,
        _comboGen = 0,
        range = HoJ.RANGE_SELF,
        _stealth = HoJ.STEALTH_ALLOWED
    },
    ["evasion"] = {
        id = 5277,
        name = HoJ:GetSpellName( 5277 ),
        rank = HoJ:GetSpellRank( 5277 ),
        icon = HoJ:GetSpellIcon( 5277 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 26,
        cooldownRemaining = 0,
        _powerGen = 0,
        _comboGen = 0,
        range = HoJ.RANGE_SELF,
        _stealth = HoJ.STEALTH_DISALLOWED
    },
    ["sprint"] = {
        id = 2983,
        name = HoJ:GetSpellName( 2983 ),
        rank = HoJ:GetSpellRank( 2983 ),
        icon = HoJ:GetSpellIcon( 2983 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 32,
        cooldownRemaining = 0,
        _powerGen = 0,
        _comboGen = 0,
        range = HoJ.RANGE_SELF,
        _stealth = HoJ.STEALTH_DISALLOWED
    },
    ["kidneyShot"] = {
        id = 408,
        name = HoJ:GetSpellName( 408 ),
        rank = HoJ:GetSpellRank( 408 ),
        icon = HoJ:GetSpellIcon( 408 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 10,
        cooldownRemaining = 0,
        _powerGen = -25,
        _comboGen = -5,
        range = HoJ.RANGE_MELEE,
        _requiresStealth = false,
        _stealth = HoJ.STEALTH_DISALLOWED
    },
    ["distract"] = {
        id = 1725,
        name = HoJ:GetSpellName( 1725 ),
        rank = HoJ:GetSpellRank( 1725 ),
        icon = HoJ:GetSpellIcon( 1725 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 38,
        cooldownRemaining = 0,
        _powerGen = -30,
        _comboGen = 0,
        range = HoJ.RANGE_30_YARDS,
        _stealth = HoJ.STEALTH_REQUIRED
    },
    ["cripplingPoison"] = {
        id = 3408,
        name = HoJ:GetSpellName( 3408 ),
        rank = HoJ:GetSpellRank( 3408 ),
        icon = HoJ:GetSpellIcon( 3408 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_BUFF,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 38,
        cooldownRemaining = 0,
        _powerGen = 0,
        _comboGen = 0,
        range = HoJ.RANGE_SELF,
        _stealth = HoJ.STEALTH_ALLOWED
    },
    ["mutilate"] = {
        id = 53,
        name = HoJ:GetSpellName( 53 ),
        rank = HoJ:GetSpellRank( 53 ),
        icon = HoJ:GetSpellIcon( 53 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 40,
        cooldownRemaining = 0,
        _powerGen = -50,
        _comboGen = 2,
        range = HoJ.RANGE_MELEE,
        _stealth = HoJ.STEALTH_DISALLOWED
    },
    ["feint"] = {
        id = 1966,
        name = HoJ:GetSpellName( 1966 ),
        rank = HoJ:GetSpellRank( 1966 ),
        icon = HoJ:GetSpellIcon( 1966 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_BUFF,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 44,
        cooldownRemaining = 0,
        _powerGen = -35,
        _comboGen = 0,
        range = HoJ.RANGE_SELF,
        _stealth = HoJ.STEALTH_DISALLOWED
    },
    ["vanish"] = {
        id = 1856,
        name = HoJ:GetSpellName( 1856 ),
        rank = HoJ:GetSpellRank( 1856 ),
        icon = HoJ:GetSpellIcon( 1856 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 40,
        cooldownRemaining = 0,
        _powerGen = 0,
        _comboGen = 0,
        range = HoJ.RANGE_SELF,
        _stealth = HoJ.STEALTH_DISALLOWED
    },
    ["woundPoison"] = {
        id = 8679,
        name = HoJ:GetSpellName( 8679 ),
        rank = HoJ:GetSpellRank( 8679 ),
        icon = HoJ:GetSpellIcon( 8679 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_BUFF,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 54,
        cooldownRemaining = 0,
        _powerGen = 0,
        _comboGen = 0,
        range = HoJ.RANGE_SELF,
        _stealth = HoJ.STEALTH_ALLOWED
    },
    ["vendetta"] = {
        id = 79140,
        name = HoJ:GetSpellName( 79140 ),
        rank = HoJ:GetSpellRank( 79140 ),
        icon = HoJ:GetSpellIcon( 79140 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_BUFF,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 56,
        cooldownRemaining = 0,
        _powerGen = 0,
        _comboGen = 0,
        range = HoJ.RANGE_30_YARDS,
        _stealth = HoJ.STEALTH_ALLOWED
    },
    ["fanOfKnives"] = {
        id = 51723,
        name = HoJ:GetSpellName( 51723 ),
        rank = HoJ:GetSpellRank( 51723 ),
        icon = HoJ:GetSpellIcon( 51723 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 63,
        cooldownRemaining = 0,
        _powerGen = -35,
        _comboGen = 1,
        range = HoJ.RANGE_10_YARDS,
        _stealth = HoJ.STEALTH_DISALLOWED,
    },
    ["shroudOfConcealment"] = {
        id = 114018,
        name = HoJ:GetSpellName( 114018 ),
        rank = HoJ:GetSpellRank( 114018 ),
        icon = HoJ:GetSpellIcon( 114018 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 68,
        cooldownRemaining = 0,
        _powerGen = 0,
        _comboGen = 0,
        range = HoJ.RANGE_30_YARDS,
        _stealth = HoJ.STEALTH_REQUIRED,
    },
    ["tricksOfTheTrade"] = {
        id = 57934,
        name = HoJ:GetSpellName( 57934 ),
        rank = HoJ:GetSpellRank( 57934 ),
        icon = HoJ:GetSpellIcon( 57934 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_BUFF,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 70,
        cooldownRemaining = 0,
        _powerGen = 0,
        _comboGen = 0,
        range = HoJ.RANGE_100_YARDS,
        _stealth = HoJ.STEALTH_ALLOWED,
    },
    ["cloakOfShadows"] = {
        id = 31224,
        name = HoJ:GetSpellName( 31224 ),
        rank = HoJ:GetSpellRank( 31224 ),
        icon = HoJ:GetSpellIcon( 31224 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 80,
        cooldownRemaining = 0,
        _powerGen = 0,
        _comboGen = 0,
        range = HoJ.RANGE_SELF,
        _stealth = HoJ.STEALTH_DISALLOWED
    },
    ["backstab"] = {
        id = 53,
        name = HoJ:GetSpellName( 53 ),
        rank = HoJ:GetSpellRank( 53 ),
        icon = HoJ:GetSpellIcon( 53 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 10,
        cooldownRemaining = 0,
        _powerGen = -35,
        _comboGen = 2,
        range = HoJ.RANGE_MELEE,
        _stealth = HoJ.STEALTH_ALLOWED,
    },
    ["shurikenToss"] = {
        id = 114014,
        name = HoJ:GetSpellName( 114014 ),
        rank = HoJ:GetSpellRank( 114014 ),
        icon = HoJ:GetSpellIcon( 114014 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 10,
        cooldownRemaining = 0,
        _powerGen = -40,
        _comboGen = 1,
        range = HoJ.RANGE_30_YARDS,
        _stealth = HoJ.STEALTH_DISALLOWED,
    },
    ["shadowstrike"] = {
        id = 185438,
        name = HoJ:GetSpellName( 185438 ),
        rank = HoJ:GetSpellRank( 185438 ),
        icon = HoJ:GetSpellIcon( 185438 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 12,
        cooldownRemaining = 0,
        _powerGen = -40,
        _comboGen = 2,
        range = HoJ.RANGE_MELEE,
        _stealth = HoJ.STEALTH_REQUIRED,
    },
    ["nightblade"] = {
        id = 195452,
        name = HoJ:GetSpellName( 195452 ),
        rank = HoJ:GetSpellRank( 195452 ),
        icon = HoJ:GetSpellIcon( 195452 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 20,
        cooldownRemaining = 0,
        _powerGen = -25,
        _comboGen = 1,
        range = HoJ.RANGE_MELEE,
        _stealth = HoJ.STEALTH_DISALLOWED,
    },
    ["nightbladeDebuff"] = {
        id = 195452,
        name = HoJ:GetSpellName( 195452 ),
        rank = HoJ:GetSpellRank( 195452 ),
        icon = HoJ:GetSpellIcon( 195452 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_BUFF,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 20,
        cooldownRemaining = 0,
        _powerGen = 0,
        _comboGen = 0,
        range = HoJ.RANGE_MELEE,
        _stealth = HoJ.STEALTH_DISALLOWED,
        _durationForComboPoints = {
            8,
            10,
            12,
            14,
            16,
            18
        }
    },
    ["symbolsOfDeath"] = {
        id = 212283,
        name = HoJ:GetSpellName( 212283 ),
        rank = HoJ:GetSpellRank( 212283 ),
        icon = HoJ:GetSpellIcon( 212283 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 36,
        cooldownRemaining = 0,
        _powerGen = 0,
        _comboGen = 0,
        range = HoJ.RANGE_SELF,
        _stealth = HoJ.STEALTH_ALLOWED,
    },
    ["symbolsOfDeathBuff"] = {
        id = 212283,
        name = HoJ:GetSpellName( 212283 ),
        rank = HoJ:GetSpellRank( 212283 ),
        icon = HoJ:GetSpellIcon( 212283 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_BUFF,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 36,
        cooldownRemaining = 0,
        _powerGen = 0,
        _comboGen = 0,
        range = HoJ.RANGE_SELF,
        _stealth = HoJ.STEALTH_ALLOWED,
    },
    ["shadowDance"] = {
        id = 185313,
        name = HoJ:GetSpellName( 185313 ),
        rank = HoJ:GetSpellRank( 185313 ),
        icon = HoJ:GetSpellIcon( 185313 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = true,
        text = nil,
        minLevel = 40,
        cooldownRemaining = 0,
        _powerGen = 0,
        _comboGen = 0,
        range = HoJ.RANGE_SELF,
        _stealth = HoJ.STEALTH_DISALLOWED,
    },
    ["shadowDanceBuff"] = {
        id = 185422,
        name = HoJ:GetSpellName( 185422 ),
        rank = HoJ:GetSpellRank( 185422 ),
        icon = HoJ:GetSpellIcon( 185422 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_BUFF,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = true,
        text = nil,
        minLevel = 40,
        cooldownRemaining = 0,
        _powerGen = 0,
        _comboGen = 0,
        range = HoJ.RANGE_SELF,
        _stealth = HoJ.STEALTH_ALLOWED,
    },
    ["shadowstrike2"] = {
        id = 231718,
        name = HoJ:GetSpellName( 231718 ),
        rank = HoJ:GetSpellRank( 231718 ),
        icon = HoJ:GetSpellIcon( 231718 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 12,
        cooldownRemaining = 0,
        _powerGen = -40,
        _comboGen = 2,
        range = HoJ.RANGE_25_YARDS,
        _stealth = HoJ.STEALTH_REQUIRED,
    },
    ["shadowBlades"] = {
        id = 121471,
        name = HoJ:GetSpellName( 121471 ),
        rank = HoJ:GetSpellRank( 121471 ),
        icon = HoJ:GetSpellIcon( 121471 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_BUFF,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 56,
        cooldownRemaining = 0,
        _powerGen = 0,
        _comboGen = 0,
        range = HoJ.RANGE_SELF,
        _stealth = HoJ.STEALTH_ALLOWED,
    },
    ["shurikenStorm"] = {
        id = 197835,
        name = HoJ:GetSpellName( 197835 ),
        rank = HoJ:GetSpellRank( 197835 ),
        icon = HoJ:GetSpellIcon( 197835 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_SKILL,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 66,
        cooldownRemaining = 0,
        _powerGen = -35,
        _comboGen = 1,
        range = HoJ.RANGE_10_YARDS,
        _stealth = HoJ.STEALTH_DISALLOWED,
    },
    ["gloomblade"] = {
        id = 200758,
        name = HoJ:GetSpellName( 200758 ),
        rank = HoJ:GetSpellRank( 200758 ),
        icon = HoJ:GetSpellIcon( 200758 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_TALENT,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 15,
        cooldownRemaining = 0,
        _powerGen = -35,
        _comboGen = 1,
        range = HoJ.RANGE_8_YARDS,
        talentRow = 1,
        talentCol = 3,
        _talentSpecs = { HoJ.SPEC_ROGUE_SUBTLETY },
        _stealth = HoJ.STEALTH_ALLOWED
    },
    ["markedForDeath"] = {
        id = 137619,
        name = HoJ:GetSpellName( 137619 ),
        rank = HoJ:GetSpellRank( 137619 ),
        icon = HoJ:GetSpellIcon( 137619 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_TALENT,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 45,
        cooldownRemaining = 0,
        _powerGen = 0,
        _comboGen = 0,
        range = HoJ.RANGE_30_YARDS,
        talentRow = 3,
        talentCol = 3,
        _talentSpecs = { HoJ.SPEC_ROGUE_SUBTLETY },
        _stealth = HoJ.STEALTH_ALLOWED
    },
    ["deeperStrategem"] = {
        id = 193531,
        name = HoJ:GetSpellName( 193531 ),
        rank = HoJ:GetSpellRank( 193531 ),
        icon = HoJ:GetSpellIcon( 193531 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_TALENT,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 45,
        cooldownRemaining = 0,
        _powerGen = 0,
        _comboGen = 0,
        range = HoJ.RANGE_SELF,
        talentRow = 3,
        talentCol = 2,
        _talentSpecs = { HoJ.SPEC_ROGUE_SUBTLETY },
        _stealth = HoJ.STEALTH_ALLOWED
    },
    ["secretTechnique"] = {
        id = 280719,
        name = HoJ:GetSpellName( 280719 ),
        rank = HoJ:GetSpellRank( 280719 ),
        icon = HoJ:GetSpellIcon( 280719 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_TALENT,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 100,
        cooldownRemaining = 0,
        _powerGen = -30,
        _comboGen = 0,
        range = HoJ.RANGE_MELEE,
        talentRow = 7,
        talentCol = 2,
        _talentSpecs = { HoJ.SPEC_ROGUE_SUBTLETY },
        _stealth = HoJ.STEALTH_ALLOWED
    },
    ["shurikenTornado"] = {
        id = 277925,
        name = HoJ:GetSpellName( 277925 ),
        rank = HoJ:GetSpellRank( 277925 ),
        icon = HoJ:GetSpellIcon( 277925 ),
        spellIndex = -1,
        spellType = HoJ.SPELL_TALENT,
        isProcd = false,
        showOnBar = true,
        showCheckbox = true,
        showCharges = false,
        text = nil,
        minLevel = 100,
        cooldownRemaining = 0,
        _powerGen = -60,
        _comboGen = 0,
        range = HoJ.RANGE_10_YARDS,
        talentRow = 7,
        talentCol = 3,
        _talentSpecs = { HoJ.SPEC_ROGUE_SUBTLETY },
        _stealth = HoJ.STEALTH_ALLOWED
    },
}
